V2.0
get
/ec-designer-svc/rest/v2.0/studies/{studyId}/objectids
Retrieves a list of IDs of all artifacts in a study in the specified mode: Testing, Approved and/or Archived. An artifact refers to anything that belongs to the study design, for example: forms, randomization, treatment arm, kits, etc.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
-
all: boolean
Include all study artifacts. Optional.Default Value:
falseExample:false -
archived: boolean
Include the archived versions of a study in a specified mode. Optional.Default Value:
trueExample:true -
formCategory: string
Return forms with this Form Category. Optional.Default Value:
DCSExample:DCS -
forms: boolean
Include forms. Optional.Default Value:
falseExample:false -
items: boolean
Include form items. Optional.Default Value:
falseExample:false -
studymode: array[string]
Study modes to search for artifacts. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes). Optional.
-
Allowed Values:
[ "design", "test", "training", "active", "all" ]
Example:active -
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
404 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object